@import 'variables';
@import 'mixins';

/* ==========================================================================
   #Comments styles - start
   ========================================================================== */

.mkdf-comment-holder {
    @include mkdfRelativeHolderLayout();
    padding: 0;
    box-sizing: border-box;
	background-color: #ffffff;
	border: 1px solid #e5e5e5;

	.mkdf-comment {

        padding-bottom: 22px;
		
		&.mkdf-pingback-comment {
			
			.mkdf-comment-text {
				padding: 0;
			}
		}
	}

    .mkdf-comment-list {
        list-style: none;
        position: relative;
        z-index: 150;
        padding: 0;
		margin: 0;

        li {
            @include mkdfRelativeHolderLayout();
            margin: 11px 0 0;
            padding: 9px 0 0;
			&:not(:last-child) {
				.mkdf-comment {
					border-bottom: 1px solid #ebebeb;
				}
			}




            @for $i from 2 through 10 {
                &.depth-#{$i} .mkdf-comment {
                    padding-left: 95px * ($i - 1);
                }
            }

            &.depth-1:last-child {
                > .mkdf-comment:last-child {
                    border-bottom: 0;
                }
            }
        }

        > li:first-child {
            margin: 0;
            padding: 0;
            border: 0;
        }

        .children {
            padding: 0 0 0 0;
        }
    }

    .mkdf-comments {
        padding: 0 40px;
    }

    .mkdf-comments-title {
        margin-bottom: 33px;
        background-color: #fafafa;
        border-bottom: 1px solid #e5e5e5;

        > * {
            margin: 0;
            font-size: 16px;
            font-weight: 600;
            color: #b5b5b5;
            font-family: $default-text-font;
            text-transform: uppercase;
            padding: 17px 30px;
        }
    }

    .mkdf-comment-image {
        position: relative;
        display: block;
        top: 10px;
        left: 0;
        width: 86px;
        height: 86px;
        float: left;

        img {
            display: block;
            border-radius: 4em;
        }
    }

    .mkdf-comment-text {
        padding: 0 0 0 108px;
        min-height: 82px;

        .mkdf-comment-info {
            @include mkdfRelativeHolderLayout();
            margin: 6px 0 0;
        }

        .replay,
        .comment-reply-link,
        .comment-edit-link {
            margin-right: 10px;
            font-size: 14px;
            font-weight: 700;
            color: $first-main-color;
            font-family: $default-heading-font;

            &:hover {
                color: $default-heading-color;
            }

            &:before{
                font-family: 'ElegantIcons';
                color: $first-main-color;
                margin-right: 5px;
                text-transform: none;
            }
        }

        .comment-edit-link{
            &:before{
                content: '\6a';
            }
        }

        .comment-reply-link {

            &:before{
                content: '\e066';
            }
        }


        .mkdf-comment-name {
            display: inline-block;
            vertical-align: middle;
            margin: 0 10px 0 0;
            color: #4b4b4b;
        }

        .mkdf-comment-date {
            display: inline-block;
            vertical-align: middle;
            margin: 0;
            font-size: 14px;
            line-height: 25px;
            color: #b9b9b9;
            font-weight: 600;
        }

        .mkdf-text-holder p {
            margin: 7px 0 12px;
        }

        .comment-respond {
            margin: 20px 0;

            .comment-reply-title {
                margin: 0 0 10px;
                font-size: 14px;
            }

            .logged-in-as {
                margin: 0 0 8px;
            }
        }

        #cancel-comment-reply-link {
            margin-left: 10px;
            font-size: 12px;
            color: $first-main-color;

            &:hover {
                color: $default-heading-color;
            }
        }
	
	    ul, ol {
		    
		    li {
			    display: list-item;
		    }
	    }

        li {
            margin: 0 !important;
            padding: 0 !important;
            border: 0 !important;
        }
    }
}

.mkdf-comment-form {
    padding: 0;
    clear: both;
    box-sizing: border-box;
    border: 1px solid #e5e5e5;
	background-color: #ffffff;
    
    .mkdf-comment-form-inner {
        padding: 0 0 40px;
    }
    
    .comment-reply-title {
        margin: 0 0 37px;
        font-size: 16px;
        font-weight: 600;
        color: #b5b5b5;
        font-family: $default-text-font;
        text-transform: uppercase;
        padding: 15px 30px;
        background-color: #fafafa;
        border-bottom: 1px solid #e5e5e5;
    }

    .comment-form {
        box-sizing: border-box;
        padding: 0 40px;
    }
    
    .logged-in-as {
        margin: 0 0 8px;
    }
}

@include ipad-portrait {

    .mkdf-comment-holder {
	    
        .mkdf-comment-list {
	        
            .children {
                padding: 0 0 0 40px;
            }
        }
    }
}

@include phone-landscape {
	
    .mkdf-comment-holder {
	    
        .mkdf-comment-list {
	        
            .children {
                padding: 0;
            }
        }

        .mkdf-comment-text {
	        
            .mkdf-comment-date,
            .mkdf-comment-name {
                float: none;
            }
	        
            .replay,
            .comment-reply-link,
            .comment-edit-link {
                float: none;
                margin: 0 10px 0 0;
            }
        }
    }
}

@include phone-portrait {
	
    .mkdf-comment-holder {

        .mkdf-comment-image {
            float: none;
        }

        .mkdf-comment-text {
            padding: 20px 0 0;
            min-height: inherit;
        }
    }
}

/* ==========================================================================
   #Comments styles - end
   ========================================================================== */

%input-style {
    width: 100%;
    margin: 0 0 20px;
    padding: 16px 24px 15px;
    font-family: inherit;
    font-size: 13px;
    line-height: 20px;
    font-weight: inherit;
    color: #b5b5b5;
    background-color: #f8f7f7;
    border: 1px solid #f2f2f2;
	-webkit-border-radius:0;
	-moz-border-radius:0;
	border-radius:0;
    outline: 0;
    -webkit-appearance: none;
	cursor: pointer;
    box-sizing: border-box;
    @include mkdfTransition(border-color 0.2s ease-in-out);

    &:focus {
        color: $default-heading-color;
        border-color: $default-text-color;
    }
    
    @include mkdfPlaceholder {
        color: inherit;
    }
}

#respond textarea,
#respond input[type='text'],
.post-password-form input[type='password'],
#respond input[type='email']{
    @extend %input-style;
}

#respond textarea {
    display: block;
    padding: 15px 24px;
}

p.form-submit {
    margin: 0;
}

#submit_comment,
.post-password-form input[type='submit'] {
    @include mkdfButtonDefaultStyle();
    @include mkdfButtonSolidColor();
	cursor: pointer;
    font-size: 13px;
    padding: 11px 33px;
	
    &:hover {
        @include mkdfButtonSolidHoverColor();
    }
}

%cf7-input-style {
    width: 100%;
    margin: 0 0 15px!important;
    padding: 11px 18px;
    font-family: inherit;
    font-size: 14px;
    line-height: 21px;
    font-weight: inherit;
    color: $default-text-color;
    background-color: transparent;
    border: 1px solid $default-border-color;
    border-radius: 0;
	outline: 0;
    -webkit-appearance: none;
	cursor: pointer;
    box-sizing: border-box;

    &:focus {
        color: $default-heading-color;
        background-color: #fff;
    }
	
	@include mkdfPlaceholder {
		color: inherit;
	}
}

.wpcf7-form-control {
    &.wpcf7-text,
    &.wpcf7-number,
    &.wpcf7-date,
    &.wpcf7-textarea,
    &.wpcf7-select,
    &.wpcf7-quiz {
        @extend %cf7-input-style;

        footer & {
            margin: 0;
        }
    }
}

input.wpcf7-form-control.wpcf7-submit {
	font-family: inherit;
	position: relative;
	display: inline-block;
	vertical-align: middle;
	width: 100%;
	outline: none;
	line-height: 20px;
	letter-spacing: 0.05em;
	font-weight: 700;
	text-transform: uppercase;
	box-sizing: border-box;
	margin: 0;
	-webkit-border-radius:0;
	-moz-border-radius:0;
	border-radius:0;
	@include mkdfTransition(color .2s ease-in-out, background-color .2s ease-in-out, border-color .2s ease-in-out);
    @include mkdfButtonMediumParams();
    @include mkdfButtonSolidColor();
	cursor: pointer;
	
    &:hover {
        @include mkdfButtonSolidHoverColor();
    }
}

.wpcf7-form p {
    margin: 0;
}

.wpcf7-form textarea {
    vertical-align: middle;
}

.mkdf-two-columns-form-without-space {

    .wpcf7-form .ajax-loader {
        display: none;
    }
}

.mkdf-cf7-contact-wrapper {
	background-color: #fff;
	border: 1px solid #e5e5e5;
	.mkdf-cf7-title {
		background-color: #fafafa;
		line-height: 33px;
		font-size: 16px;
		font-weight: 600;
		color: #b5b5b5;
		padding: 10px 15px 10px 30px;
		border-bottom: 1px solid #e5e5e5;
	}

	.mkdf-cf7-inputs {
		padding: 34px 15px;
		label {
			font-size: 12px;
			font-weight: 600;
			color: #353535;
		}
	}

	&.mkdf-button-small {
		.mkdf-cf7-inputs {
			padding: 19px 15px 32px;
		}
		.wpcf7-form-control.wpcf7-text, .wpcf7-form-control.wpcf7-textarea {
			margin-bottom: 10px;
			padding: 8px 18px;
		}
		input.wpcf7-form-control.wpcf7-submit {
			width: auto;
		}
	}

	&.mkdf-smaller-padding {
		.mkdf-cf7-inputs {
			padding: 15px 15px 3px;
		}
	}

}

.mkdf-cf7-newsletter {
	position: relative;
	input.wpcf7-form-control.wpcf7-submit {
		font-family: Linearicons-Free;
		position: absolute;
		top:0;
		right: 0;
		background-color: transparent;
		color: #b3adad;
		font-size: 18px;
		padding: 17px 20px;
		width: 59px;
	}
	.wpcf7-form-control.wpcf7-text {
		padding: 18px 60px 18px 20px;
        margin-bottom: 0 !important;
		@include mkdfPlaceholder{
			color: #929292;
		}
	}
}

.mkdf-cf7-coming-soon {
	.mkdf-cf7-input {
		width: 39%;
		.wpcf7-form-control.wpcf7-text {
			padding: 14px 18px;
		}
	}
	.mkdf-cf7-submit {
		width: 18%;
		input.wpcf7-form-control.wpcf7-submit {
			padding: 13px 40px;
			width: auto;
		}
	}
	>div{
		&:not(:last-child) {
			margin-right: 2%;
		}
		float: left;
	}

}

input[type="search"] {
	&::-webkit-search-decoration,
	&::-webkit-search-cancel-button,
	&::-webkit-search-results-button,
	&::-webkit-search-results-decoration {
		display: none;
	}
}
/* ==========================================================================
   #Comments styles - end
   ========================================================================== */

/* ==========================================================================
   #Global Owl Slider - begin
   ========================================================================== */
.mkdf-owl-slider {
	visibility: hidden;
	
    .owl-stage-outer {
        z-index: 1;
    }
    
    &.mkdf-slider-has-both-nav {
        
        .owl-nav {
            
            .owl-prev,
            .owl-next {
                $pos: calc(-50% - 21px); // 21 is is half height of pagination control + top margin
                @include mkdfTransform(translateY($pos));
            }
        }
    }
	
	.owl-nav {
		
		.owl-prev,
		.owl-next {
			position: absolute;
			top: 50%;
			z-index: 3;
			@include mkdfTransform(translateY(-50%));
			
			&:hover {
				
				.mkdf-prev-icon,
				.mkdf-next-icon {
					color: $first-main-color;
				}
			}
		}
		
		.owl-prev {
			left: 30px;
		}
		
		.owl-next {
			right: 30px;
		}
		
		.mkdf-prev-icon,
		.mkdf-next-icon {
			position: relative;
			display: inline-block;
			vertical-align: middle;
			color: #dbdbdb;
			line-height: 1;
			@include mkdfTransition(color .2s ease-out);
			
			.mkdf-icon-arrow {
				position: relative;
				display: inline-block;
				vertical-align: middle;
				font-size: 24px;
				line-height: inherit;
				
				&:before {
					display: block;
					line-height: inherit;
				}
			}
		}
	}
	
	.owl-dots {
		text-align: center;
		margin: 30px 0 0;
		
		.owl-dot {
			display: inline-block;
			vertical-align: middle;
			
			span {
				display: inline-block;
				vertical-align: middle;
				width: 12px;
				height: 12px;
				margin: 0 6px;
				border-radius: 3em;
				background-color: #9ce0ff;
				@include mkdfTransition(background-color .2s ease-out, border .2s ease-out);
				box-sizing: border-box;
			}
			
			&:hover,
			&.active {
				
				span {
					background-color: $first-main-color;
				}
			}
		}
	}
	
	.owl-carousel .owl-item img {
		-webkit-transform: translateZ(0); //chrome text cut off fix
	}
}
/* ==========================================================================
   #Global Owl Slider - end
   ========================================================================== */

/* ==========================================================================
   #404 styles - start
   ========================================================================== */

.mkdf-404-page {

    &.mkdf-wrapper {
        padding: 0 !important;
    }
    
    .mkdf-content {
        height: 100vh;
	
	    .admin-bar & {
		    height: calc(100vh - 32px);
	    }
    }

    .mkdf-content-inner {
        position: relative;
        display: table;
        height: 100%;
        width: 100%;
    }

    .mkdf-page-not-found {
        position: relative;
        display: table-cell;
        width: 100%;
        height: 100%;
        vertical-align: middle;
        padding: 0 20%;
	    text-align: center;

        .mkdf-404-title {
            margin: 0;
        }

		.mkdf-404-title-image {
			margin-bottom: 10px;
		}
	
	    .mkdf-404-subtitle {
            margin: 19px 0 0;
        }
	    
	    .mkdf-404-text {
		    margin: 10px 0 0;
	    }

        .mkdf-btn {
            margin: 39px 0 0;
	
	        &.mkdf-btn-light-style {
		        color: #585858;
		        background-color: #fff;
		        border-color: #fff;
		
		        &:hover {
			        color: #fff !important;
			        background-color: transparent !important;
			        border-color: #fff !important;
		        }
	        }
        }
    }

	@media only screen and (min-width: 1919px){
		.mkdf-404-subtitle {
			padding: 0 15%;
		}
	}


    @include ipad-portrait {

        .mkdf-page-not-found {
            padding: 40px 30px;
        }
    }
	
	@include phone-landscape {
		
		.mkdf-content {
			height: auto;
			margin: 0 !important;
			
			.admin-bar & {
				height: auto;
			}
		}
	}
}

/* ==========================================================================
   #404 styles - end
   ========================================================================== */

/* ==========================================================================
   #Back to Top styles - start
   ========================================================================== */
#mkdf-back-to-top {
    display: block;
    position: fixed;
    right: 0;
    bottom: 0;
    margin: 0;
    width: 58px;
    height: 58px;
    opacity: 0;
    visibility: hidden;
    z-index: 10000;
    color: #fff;
    text-align: center;
    background-color: $first-main-color;
    box-sizing: border-box;

    @include mkdfTransition(opacity 0.2s ease-out, visibility 0.2s ease-out, color 0.2s ease-out);

    .mkdf-back-to-top-inner {
        display: block;
        position: relative;
        top: 64%;

        @include mkdfTransform(translateY(-50%));
    }

    .mkdf-back-to-top-text {
        font-size: 13px;
        font-weight: 700;
        text-transform: uppercase;

        @include mkdfTransition(opacity 0.2s ease-in-out);
    }

    .mkdf-icon-stack {
        display: block;
        position: absolute;
        left: 50%;
        margin-left: -11px;
        line-height: 35px;
        font-size: 32px;
        @include mkdfTransition(transform 0.2s ease-out);
    }

    &.off {
        opacity: 0;
        visibility: hidden;
    }

    &.on {
        opacity: 1;
        visibility: visible;
    }

    &:hover {
        .mkdf-back-to-top-text {
            opacity: 0;
        }

        .mkdf-icon-stack {
            @include mkdfTransform(translateY(10px));
        }
    }
}
/* ==========================================================================
   #Back to Top styles - end
   ========================================================================== */

/* ==========================================================================
   #Self Hosted Video styles - begin
   ========================================================================== */
.mkdf-self-hosted-video-holder {
    .mkdf-video-wrap {
        .mejs-container,
        .mejs-overlay-play {
            height: 100% !important; /*!important because of the inline style*/
            width: 100% !important; /*!important because of the inline style*/
        }
    }
}
/* ==========================================================================
   #Self Hosted Video styles - end
   ========================================================================== */

/* ==========================================================================
   #Perfect scroll styles - start
   ========================================================================== */

$ps-theme-default: (
        border-radius: $ps-border-radius,
        rail-default-opacity: $ps-rail-default-opacity,
        rail-container-hover-opacity: $ps-rail-container-hover-opacity,
        rail-hover-opacity: $ps-rail-hover-opacity,
        bar-bg: $ps-bar-bg,
        bar-container-hover-bg: $ps-bar-container-hover-bg,
        bar-hover-bg: $ps-bar-hover-bg,
        rail-hover-bg: $ps-rail-hover-bg,
        scrollbar-x-rail-bottom: $ps-scrollbar-x-rail-bottom,
        scrollbar-x-rail-height: $ps-scrollbar-x-rail-height,
        scrollbar-x-bottom: $ps-scrollbar-x-bottom,
        scrollbar-x-height: $ps-scrollbar-x-height,
        scrollbar-x-hover-height: $ps-scrollbar-x-hover-height,
        scrollbar-y-rail-right: $ps-scrollbar-y-rail-right,
        scrollbar-y-rail-width: $ps-scrollbar-y-rail-width,
        scrollbar-y-right: $ps-scrollbar-y-right,
        scrollbar-y-width: $ps-scrollbar-y-width,
        scrollbar-y-hover-width: $ps-scrollbar-y-hover-width,
);

// Default theme
.ps {
    @include ps-container($ps-theme-default);
}

/* ==========================================================================
   #Perfect scroll styles - end
   ========================================================================== */